# Uses of Class
org.eclipse.ui.texteditor.spelling.SpellingProblem

Packages that use SpellingProblem
Package
Description
org.eclipse.ui.texteditor.spelling
Partial infrastructure for spell checking in text editors.

## Uses of SpellingProblem in org.eclipse.ui.texteditor.spelling

Methods in org.eclipse.ui.texteditor.spelling that return SpellingProblem
Modifier and Type
Method
Description
`SpellingProblem`
SpellingAnnotation.`getSpellingProblem()`
Returns the spelling problem.
Methods in org.eclipse.ui.texteditor.spelling with parameters of type SpellingProblem
Modifier and Type
Method
Description
`void`
ISpellingProblemCollector.`accept(SpellingProblem problem)`
Notification of a spelling problem.
Constructors in org.eclipse.ui.texteditor.spelling with parameters of type SpellingProblem
Modifier
Constructor
Description
``
`SpellingAnnotation(SpellingProblem problem)`
Creates a new spelling annotation.